# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/man perl(Archive/Tar.pm) perl(AutoLoader.pm) perl(Config.pm) perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(Log/Log4perl.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(XML/DOM.pm)
# END SourceDeps(oneline)
%define module_version 0.0.7
%define module_name App-BackupPlan
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.7
Release: alt1
Summary: Perl extension for automated, regular backups
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GC/GCHIAIA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
App::BackupPlan is a simple module to perform regular, selective and automated 
backups of your system. It requires an xml file with the
specification of your backup plan, logically divided into independent tasks.
The constructor also takes a log4perl configuration file, to customise the logging produced.
This can be omitted if the default logging behaviour is desired.
By setting up a regular back-up task using cron or similar, and by configuring a backup plan with different
tasks, backup frequencies and max number of files retained, it is possible to achieve a regular
and incremental backup of different part of your system, without too much trouble. 

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README TODO Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%changelog
* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt1
- initial import by package builder

